devplugin

## Class ImportanceValue

- java.lang.Object
- - devplugin.ImportanceValue

-     public class ImportanceValue
      extends java.lang.Object

  A class with a weighted importance value to calculate the program opacity.
  Since:
    3.0
  Author:
    René Mach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportanceValue(byte weight, short totalImportance)` Creates an instance of this class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getTotalImportance()` Gets the total importance of this importance value
    `byte` | `getWeight()` Gets the weight for this importance value.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ImportanceValue

          public ImportanceValue(byte weight,
                         short totalImportance)

      Creates an instance of this class.

      EXAMPLE: If you give a weight of 4 you mean the totalImportance contains a sum of 4 importance values. NOTE: This will ignore values that are not reachable with the possible single importance of a Program. So for instance, if you give a weight of 4 and a totalImportance of 50 this will be ignored as 40 ist the highest possible amount for a weight of 4.

      Parameters:
        `weight` - Is the count of importance values given.
        `totalImportance` - Is the sum of the count importance values

  - ### Method Detail

    - #### getWeight

          public byte getWeight()

      Gets the weight for this importance value.

      Returns:
        The weight of this importance value.

    - #### getTotalImportance

          public short getTotalImportance()

      Gets the total importance of this importance value

      Returns:
        The total importance of this importance value.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)